com.genesyslab.wfm8.API.service.config812

## Class CfgAuditRecord

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgAuditRecord

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAuditRecord
      extends java.lang.Object
      implements java.io.Serializable

  Configuration Audit Record
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `protected int` | `gswUserId`
    `private static long` | `serialVersionUID`
    `protected int` | `wmAction`
    `protected long` | `wmCfgAuditId`
    `protected java.util.List<CfgAuditField>` | `wmFields`
    `protected int` | `wmFieldsNSizeIs`
    `protected int` | `wmObjectId`
    `protected int` | `wmObjectType`
    `protected double` | `wmTimestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAuditRecord()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `int` | `getWmAction()` Gets the value of the wmAction property.
    `long` | `getWmCfgAuditId()` Gets the value of the wmCfgAuditId property.
    `java.util.List<CfgAuditField>` | `getWmFields()` Gets the value of the wmFields property.
    `int` | `getWmFieldsNSizeIs()` Gets the value of the wmFieldsNSizeIs property.
    `int` | `getWmObjectId()` Gets the value of the wmObjectId property.
    `int` | `getWmObjectType()` Gets the value of the wmObjectType property.
    `double` | `getWmTimestamp()` Gets the value of the wmTimestamp property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmAction(int value)` Sets the value of the wmAction property.
    `void` | `setWmCfgAuditId(long value)` Sets the value of the wmCfgAuditId property.
    `void` | `setWmFields(java.util.List<CfgAuditField> wmFields)` Sets the value of the wmFields property.
    `void` | `setWmFieldsNSizeIs(int value)` Sets the value of the wmFieldsNSizeIs property.
    `void` | `setWmObjectId(int value)` Sets the value of the wmObjectId property.
    `void` | `setWmObjectType(int value)` Sets the value of the wmObjectType property.
    `void` | `setWmTimestamp(double value)` Sets the value of the wmTimestamp property.
    `java.lang.String` | `toString()`
    `CfgAuditRecord` | `withGswAgentId(int value)`
    `CfgAuditRecord` | `withGswUserId(int value)`
    `CfgAuditRecord` | `withWmAction(int value)`
    `CfgAuditRecord` | `withWmCfgAuditId(long value)`
    `CfgAuditRecord` | `withWmFields(CfgAuditField... values)`
    `CfgAuditRecord` | `withWmFields(java.util.Collection<CfgAuditField> values)`
    `CfgAuditRecord` | `withWmFieldsNSizeIs(int value)`
    `CfgAuditRecord` | `withWmObjectId(int value)`
    `CfgAuditRecord` | `withWmObjectType(int value)`
    `CfgAuditRecord` | `withWmTimestamp(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCfgAuditId

          protected long wmCfgAuditId

    - #### gswUserId

          protected int gswUserId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmAction

          protected int wmAction

    - #### wmTimestamp

          protected double wmTimestamp

    - #### wmObjectType

          protected int wmObjectType

    - #### wmObjectId

          protected int wmObjectId

    - #### wmFieldsNSizeIs

          protected int wmFieldsNSizeIs

    - #### wmFields

          protected java.util.List<CfgAuditField> wmFields

  - ### Constructor Detail

    - #### CfgAuditRecord

          public CfgAuditRecord()

  - ### Method Detail

    - #### getWmCfgAuditId

          public long getWmCfgAuditId()

      Gets the value of the wmCfgAuditId property.

    - #### setWmCfgAuditId

          public void setWmCfgAuditId(long value)

      Sets the value of the wmCfgAuditId property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmAction

          public int getWmAction()

      Gets the value of the wmAction property.

    - #### setWmAction

          public void setWmAction(int value)

      Sets the value of the wmAction property.

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the value of the wmTimestamp property.

    - #### setWmTimestamp

          public void setWmTimestamp(double value)

      Sets the value of the wmTimestamp property.

    - #### getWmObjectType

          public int getWmObjectType()

      Gets the value of the wmObjectType property.

    - #### setWmObjectType

          public void setWmObjectType(int value)

      Sets the value of the wmObjectType property.

    - #### getWmObjectId

          public int getWmObjectId()

      Gets the value of the wmObjectId property.

    - #### setWmObjectId

          public void setWmObjectId(int value)

      Sets the value of the wmObjectId property.

    - #### getWmFieldsNSizeIs

          public int getWmFieldsNSizeIs()

      Gets the value of the wmFieldsNSizeIs property.

    - #### setWmFieldsNSizeIs

          public void setWmFieldsNSizeIs(int value)

      Sets the value of the wmFieldsNSizeIs property.

    - #### getWmFields

          public java.util.List<CfgAuditField> getWmFields()

      Gets the value of the wmFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmFields property.

      For example, to add a new item, do as follows:

              getWmFields().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAuditField`

    - #### withWmCfgAuditId

          public CfgAuditRecord withWmCfgAuditId(long value)

    - #### withGswUserId

          public CfgAuditRecord withGswUserId(int value)

    - #### withGswAgentId

          public CfgAuditRecord withGswAgentId(int value)

    - #### withWmAction

          public CfgAuditRecord withWmAction(int value)

    - #### withWmTimestamp

          public CfgAuditRecord withWmTimestamp(double value)

    - #### withWmObjectType

          public CfgAuditRecord withWmObjectType(int value)

    - #### withWmObjectId

          public CfgAuditRecord withWmObjectId(int value)

    - #### withWmFieldsNSizeIs

          public CfgAuditRecord withWmFieldsNSizeIs(int value)

    - #### withWmFields

          public CfgAuditRecord withWmFields(CfgAuditField... values)

    - #### withWmFields

          public CfgAuditRecord withWmFields(java.util.Collection<CfgAuditField> values)

    - #### setWmFields

          public void setWmFields(java.util.List<CfgAuditField> wmFields)

      Sets the value of the wmFields property.
      Parameters:
        `wmFields` - allowed object is `CfgAuditField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.